let path = require('path');
let _home = process.env[(process.platform == 'win32') ? 'USERPROFILE' : 'HOME'];

exports.home = function home(username) {
    return username ? path.resolve(path.dirname(_home), username) : _home;
}

exports.documents = function documents(username) {
    return path.join(exports.home(username), 'documents');
}

exports.downloads = function downloads(username) {
    return path.join(exports.home(username), 'downloads');
}